Skip to main content
PATCH
/
v1
/
accounts
/
{accountId}
/
settings
Update Account Settings
curl --request PATCH \
  --url https://api.us.lexful.app/v1/accounts/{accountId}/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Account-ID: <api-key>' \
  --data '
{
  "logo_url": "<string>",
  "auth_methods": [
    "google_oauth"
  ]
}
'
{
  "logo_url": "<string>",
  "auth_methods": [
    "google_oauth"
  ]
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

accountId
string<uuid>
required

Account ID

Body

application/json
logo_url
string<uri> | null

Account logo URL

auth_methods
enum<string>[]

Enabled authentication methods

Available options:
google_oauth,
microsoft_oauth,
login_link,
sso

Response

Default Response

logo_url
string<uri> | null

Account logo URL

auth_methods
enum<string>[]

Enabled authentication methods

Available options:
google_oauth,
microsoft_oauth,
login_link,
sso